The "Get all authors" Api return the blog authors for a given account ID. Please use "blogs/author.readonly"
http
GET https://services.leadconnectorhq.com/blogs/authorsAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ve9EPM428h8vShlRW1KT | Account Id |
limit | number | Yes | 5 | Number of authors to show in the listing |
offset | number | Yes | Number of authors to skip in listing |
Responses
200 - Successful response
authors(object[], required): Array of authors_id(string, required): Example:lMOzIQZne5m6zQ528sT6name(string, required): Example:LeadwaylocationId(string, required): Example:lMOzIQZne5m6zQ528sT6updatedAt(string, required): Example:2025-01-03T11:06:35.822ZcanonicalLink(string, required): Example:https://tryghl.blog/post/technology
json
{
"authors": [
{
"_id": "lMOzIQZne5m6zQ528sT6",
"name": "Leadway",
"locationId": "lMOzIQZne5m6zQ528sT6",
"updatedAt": "2025-01-03T11:06:35.822Z",
"canonicalLink": "https://tryghl.blog/post/technology"
}
]
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/blogs/authors' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/blogs/authors', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/blogs/authors',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/blogs/authors');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);